| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Image
Image.Image

# Method Image.Image()->make_ascii()

Method make_ascii

  `string make_ascii(object orient1, object orient2, object orient3, object orient4, int|void tlevel, int|void xsize, int|void ysize)`

Description

  This method creates a string that looks like the image. Example:

         //Stina is an image with a cat.
         array(object) Stina4=Stina->orient4();
         Stina4[1]*=215;
         Stina4[3]*=215;
         string foo=Stina->make_ascii(@Stina4,40,4,8);

Returns

  some nice acsii-art.

Note

  experimental status; may not be exact the same output in later versions

            |      /    -    \
           hue=  0     64   128  192  (=red in an hsv image)

See also

  orient , orient4